need help with freedomotic snappy app

Jamie Strandboge jamie at canonical.com
Mon May 4 13:29:31 UTC 2015


On 05/03/2015 04:23 AM, mauro at freedomotic.com wrote:
> Hi all
> I created the snap with embedded Oracle jre but it doesn't start with the
> following error
> (RaspberryPi2)ubuntu at localhost:~$ start.sh.freedomotic
> aa-exec: ERROR: profile 'freedomotic_start.sh_5.6.0' does not exist
> 
> I think it's related to AppArmor but I didn't find any doc example about
> this. Can you help me? How to add this file and modify the package.yaml?
> 
> The snap is structure is online on
> https://github.com/mcicolella/freedomotic-snappy
> 

It is related to apparmor-- the profile 'freedomotic_start.sh_5.6.0' isn't
loaded into the kernel so the aa-exec failed. I looked at your package.yaml and
you are using the defaults (good), and there is nothing more you need to do for
the security policy. What is probably happening is something during the install
is failing prior to the apparmor policy generation.

What I find curious though is that you are using the command
'start.sh.freedomotic'-- this should be freedomotic.start.sh instead. Also the
reported error message shows snappy is using 'aa-exec' instead of
'ubuntu-core-launcher'. Also, the package shouldn't have been able to be in the
half-installed state that it is in now (ie, unpacked, but without generated
security policy, etc). All of this indicates your snappy system is out of date.

-- 
Jamie Strandboge                 http://www.ubuntu.com/

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: OpenPGP digital signature
URL: <https://lists.ubuntu.com/archives/snappy-devel/attachments/20150504/dc5a91e9/attachment.pgp>


More information about the snappy-devel mailing list